Bug 40590 - Window loses focus when drag is started and gains back focus when we drop
Window loses focus when drag is started and gains back focus when we drop
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-14 18:28 EDT by Rakesh Menon P
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-14 18:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rakesh Menon P 2001-05-14 18:28:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (WinNT; U)

Description of problem:
Normally in ALL window managers (including one used with Red Hat 6.2) when we start drag the window will not lose focus.
But in Red Hat 7.0, Window is losing Focus. This is not the correct behaviour.
Even when I drag from Netscape, window is losing focus.

How reproducible:

Steps to Reproduce:
1. Open Netscape and goto any URL having a link in the page
2. Try to drag the link
3. Netscape window will lose Focus

Actual Results:  Window Lost Focus and gained back focus when I dropped

Expected Results:  Window must not lose focus when drag is started

Additional info:

Its not happening in Linux Redhat 6.2
Comment 1 Crutcher Dunnavant 2001-06-25 16:47:25 EDT
WindowMaker has many, configurable, focus modes. They are a matter of
preference, and from time to time the development community will change the
default. Try tweaking the settings with the config utillity till it behaves the
way you like it.

Note You need to log in before you can comment on or make changes to this bug.